package ru.myitschool.work.data.source;

import java.util.List;

import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.GET;
import retrofit2.http.POST;
import retrofit2.http.Path;
import ru.myitschool.work.data.dto.HistoryDto;
import ru.myitschool.work.data.dto.UserDto;
import ru.myitschool.work.ui.History;


public interface UserApi {
    @GET("api/user")
    Call<List<UserDto>> getAllUsers();
    @GET("api/user/{id}")
    Call<UserDto> getUserById(@Path("id") Integer id);
    @GET("api/user/username/{username}")
    Call<UserDto> isUserExist(@Path("username") String username);
    @GET("api/user/login")
    Call<Void> login();
    @GET("api/history/user/{id}")
    Call<List<HistoryDto>> getAllUserHistory(@Path("id") Integer id);
    @GET("api/history/{id}")
    Call<HistoryDto> getHistoryById(@Path("id") Integer id);

}
